Debian Bug report logs - #596626
linux-image-2.6: Please support Linksys WUSB600N v2 WiFi USB stick

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jan Schulz <jasc@gmx.net>

Date: Sun, 12 Sep 2010 21:39:05 UTC

Severity: wishlist

Tags: pending

Fixed in versions linux-2.6/3.0.0~rc1-1~experimental.1, linux-2.6/2.6.39-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#596626; Package linux-image-2.6. (Sun, 12 Sep 2010 21:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Schulz <jasc@gmx.net>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sun, 12 Sep 2010 21:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Schulz <jasc@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6: Please support Linksys WUSB600N v2 WiFi USB stick
Date: Sun, 12 Sep 2010 23:36:39 +0200
Package: linux-image-2.6
Severity: wishlist


Please support the linksys WUSB600N _v2_ WifI USB Stick in kernel
2.6.35 onwards.

The stick is based on the ralink RT3572 chip and should be supported
as of 2.6.35:
http://comments.gmane.org/gmane.linux.redhat.fedora.general/377427

Up to 2.6.32 this chip was supported by the RT3572USB driver available
from http://www.ralinktech.com/support.php?s=2, but stoped compiling
with the upgrade to 2.6.35 :-(

The PCI ID is 1737:0079.

Thanks for your work on the debian kernel!

Jan


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'experimental'), (99, 'maverick-updates'), (99, 'maverick')
Architecture: i386 (i586)

Kernel: Linux 2.6.32-5-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'linux-image-2.6' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 12 Sep 2010 21:45:07 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 09 May 2011 17:27:07 GMT) Full text and rfc822 format available.

Notification sent to Jan Schulz <jasc@gmx.net>:
Bug acknowledged by developer. (Mon, 09 May 2011 17:27:08 GMT) Full text and rfc822 format available.

Message #12 received at 596626-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 596626-done@bugs.debian.org
Subject: Re: Please support Linksys WUSB600N v2 WiFi USB stick
Date: Mon, 9 May 2011 19:22:56 +0200
Version: 2.6.38-5

fixed in latest upload to unstable by enabling RT2800USB_RT35XX.
thus closing.

thank you for your report.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Tue, 10 May 2011 13:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 13:27:10 GMT) Full text and rfc822 format available.

Message #17 received at 596626@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: 596626@bugs.debian.org
Subject: Re: Please support Linksys WUSB600N v2 WiFi USB stick
Date: Tue, 10 May 2011 23:24:34 +1000
On Mon, May 09, 2011 at 07:22:56PM +0200, maximilian attems wrote:
> Version: 2.6.38-5
>
> fixed in latest upload to unstable by enabling RT2800USB_RT35XX.
> thus closing.

Recognition of this device (USB ID 1737:0079) by the rt2800usb driver
currently requires RT2800USB_UNKNOWN to be enabled.

Geoff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Wed, 11 May 2011 10:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 10:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 596626@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Geoff Simmons <gsimmons@gsimmons.org>, 596626@bugs.debian.org
Subject: Re: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick
Date: Wed, 11 May 2011 10:12:55 +0000
On Tue, May 10, 2011 at 11:24:34PM +1000, Geoff Simmons wrote:
> On Mon, May 09, 2011 at 07:22:56PM +0200, maximilian attems wrote:
> > Version: 2.6.38-5
> >
> > fixed in latest upload to unstable by enabling RT2800USB_RT35XX.
> > thus closing.
> 
> Recognition of this device (USB ID 1737:0079) by the rt2800usb driver
> currently requires RT2800USB_UNKNOWN to be enabled.

strange it is listed in the dev table
{ USB_DEVICE(0x1737, 0x0079), USB_DEVICE_DATA(&rt2800usb_ops) },
and even since long it seems:
 git name-rev 5e312589
5e312589 tags/v2.6.33-rc3~44^2^2~15

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Wed, 11 May 2011 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 10:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 596626@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: maximilian attems <max@stro.at>, 596626@bugs.debian.org
Subject: Re: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick
Date: Wed, 11 May 2011 20:51:49 +1000
On Wed, May 11, 2011 at 10:12:55AM +0000, maximilian attems wrote:
> On Tue, May 10, 2011 at 11:24:34PM +1000, Geoff Simmons wrote:
> > Recognition of this device (USB ID 1737:0079) by the rt2800usb driver
> > currently requires RT2800USB_UNKNOWN to be enabled.
>
> strange it is listed in the dev table
> { USB_DEVICE(0x1737, 0x0079), USB_DEVICE_DATA(&rt2800usb_ops) },
> and even since long it seems:
>  git name-rev 5e312589
> 5e312589 tags/v2.6.33-rc3~44^2^2~15

It is listed, but only incorporated in rt2800usb_device_table[] if
RT2800USB_UNKNOWN is set:

#ifdef CONFIG_RT2800USB_UNKNOWN
	/*
	 * Unclear what kind of devices these are (they aren't supported by the
	 * vendor linux driver).
	 */
[...]
	/* Linksys */
[...]
	{ USB_DEVICE(0x1737, 0x0079), USB_DEVICE_DATA(&rt2800usb_ops) },

As mentioned by Jan, the device contains a RT3572 chipset.  Its entry
could moved into the section for known RT35XX devices (i.e. "#ifdef
CONFIG_RT2800USB_RT35XX") as an alternative.

Geoff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Wed, 11 May 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 596626@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Ivo van Doorn <IvDoorn@gmail.com>
Cc: linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>, 596626@bugs.debian.org
Subject: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Wed, 11 May 2011 14:23:30 +0000
please have a look at http://bugs.debian.org/596626

thanks.

-- 
maks

----- Forwarded message from Geoff Simmons <gsimmons@gsimmons.org> -----

Date: Wed, 11 May 2011 20:51:49 +1000
From: Geoff Simmons <gsimmons@gsimmons.org>
To: maximilian attems <max@stro.at>, 596626@bugs.debian.org
Subject: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick
X-Original-To: maks@stro.at
X-Original-To: lists-debian-kernel@liszt.debian.org

On Wed, May 11, 2011 at 10:12:55AM +0000, maximilian attems wrote:
> On Tue, May 10, 2011 at 11:24:34PM +1000, Geoff Simmons wrote:
> > Recognition of this device (USB ID 1737:0079) by the rt2800usb driver
> > currently requires RT2800USB_UNKNOWN to be enabled.
>
> strange it is listed in the dev table
> { USB_DEVICE(0x1737, 0x0079), USB_DEVICE_DATA(&rt2800usb_ops) },
> and even since long it seems:
>  git name-rev 5e312589
> 5e312589 tags/v2.6.33-rc3~44^2^2~15

It is listed, but only incorporated in rt2800usb_device_table[] if
RT2800USB_UNKNOWN is set:

#ifdef CONFIG_RT2800USB_UNKNOWN
	/*
	 * Unclear what kind of devices these are (they aren't supported by the
	 * vendor linux driver).
	 */
[...]
	/* Linksys */
[...]
	{ USB_DEVICE(0x1737, 0x0079), USB_DEVICE_DATA(&rt2800usb_ops) },

As mentioned by Jan, the device contains a RT3572 chipset.  Its entry
could moved into the section for known RT35XX devices (i.e. "#ifdef
CONFIG_RT2800USB_RT35XX") as an alternative.

Geoff



-- 
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20110511105149.GC2664@chmmr.gsimmons.org


----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Wed, 11 May 2011 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walter Goldens <goldenstranger@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 16:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 596626@bugs.debian.org (full text, mbox):

From: Walter Goldens <goldenstranger@yahoo.com>
To: Ivo van Doorn <IvDoorn@gmail.com>, maximilian attems <max@stro.at>
Cc: linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>, 596626@bugs.debian.org
Subject: Re: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Wed, 11 May 2011 09:25:08 -0700 (PDT)
> As mentioned by Jan, the device contains a RT3572
> chipset.  Its entry
> could moved into the section for known RT35XX devices (i.e.
> "#ifdef
> CONFIG_RT2800USB_RT35XX") as an alternative.
> 
> Geoff

This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 13 May 2011 04:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Fri, 13 May 2011 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 05:03:03 GMT) Full text and rfc822 format available.

Message #44 received at 596626@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Walter Goldens <goldenstranger@yahoo.com>, 596626@bugs.debian.org
Cc: Ivo van Doorn <IvDoorn@gmail.com>, maximilian attems <max@stro.at>, linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>
Subject: Re: Bug#596626: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Fri, 13 May 2011 05:58:35 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-05-11 at 09:25 -0700, Walter Goldens wrote:
> > As mentioned by Jan, the device contains a RT3572
> > chipset.  Its entry
> > could moved into the section for known RT35XX devices (i.e.
> > "#ifdef
> > CONFIG_RT2800USB_RT35XX") as an alternative.
> > 
> > Geoff
> 
> This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5

That's all very well, but that isn't going to get into a stable release
for another 3 months!  Device ID updates that don't require new
supporting code should be sent upstream straight away (and cc'd to
stable@kernel.org).

I've cherry-picked this and the other two updates in rt2800usb that
aren't in Linus's tree, but that doesn't help the users of other
distributions that would benefit from them.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Fri, 13 May 2011 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo Van Doorn <ivdoorn@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 07:21:06 GMT) Full text and rfc822 format available.

Message #49 received at 596626@bugs.debian.org (full text, mbox):

From: Ivo Van Doorn <ivdoorn@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Walter Goldens <goldenstranger@yahoo.com>, 596626@bugs.debian.org, maximilian attems <max@stro.at>, linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>
Subject: Re: Bug#596626: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Fri, 13 May 2011 09:17:05 +0200
Hi,

>> > As mentioned by Jan, the device contains a RT3572
>> > chipset.  Its entry
>> > could moved into the section for known RT35XX devices (i.e.
>> > "#ifdef
>> > CONFIG_RT2800USB_RT35XX") as an alternative.
>> >
>> > Geoff
>>
>> This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
>
> That's all very well, but that isn't going to get into a stable release
> for another 3 months!  Device ID updates that don't require new
> supporting code should be sent upstream straight away (and cc'd to
> stable@kernel.org).

The patch has been send upstream, it has been in wireless-next-2.6.git
since April 19...
http://git.kernel.org/?p=linux/kernel/git/linville/wireless-next-2.6.git;a=commit;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
The patch depends on the RT53xx support patch which was also intented
for 2.6.40.

> I've cherry-picked this and the other two updates in rt2800usb that
> aren't in Linus's tree, but that doesn't help the users of other
> distributions that would benefit from them.

True, but the normal flow for new features and hardware support is that they
should be properly merged during the normal merge window. The addition
of support of RT53xx is not something that should go to stable@kernel.org...

Patches from rt2x00.git are quite quickly send from rt2x00.git to upstream,
and patches which are not send upstream directly have a reason for not being
send at that time (Usually it means that it requires some extra testing).

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Fri, 13 May 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gertjan van Wingerde <gwingerde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 09:15:04 GMT) Full text and rfc822 format available.

Message #54 received at 596626@bugs.debian.org (full text, mbox):

From: Gertjan van Wingerde <gwingerde@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Walter Goldens <goldenstranger@yahoo.com>, 596626@bugs.debian.org, Ivo van Doorn <IvDoorn@gmail.com>, maximilian attems <max@stro.at>, linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>
Subject: Re: Bug#596626: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Fri, 13 May 2011 11:12:39 +0200
On Fri, May 13, 2011 at 6:58 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Wed, 2011-05-11 at 09:25 -0700, Walter Goldens wrote:
>> > As mentioned by Jan, the device contains a RT3572
>> > chipset.  Its entry
>> > could moved into the section for known RT35XX devices (i.e.
>> > "#ifdef
>> > CONFIG_RT2800USB_RT35XX") as an alternative.
>> >
>> > Geoff
>>
>> This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
>
> That's all very well, but that isn't going to get into a stable release
> for another 3 months!  Device ID updates that don't require new
> supporting code should be sent upstream straight away (and cc'd to
> stable@kernel.org).
>
> I've cherry-picked this and the other two updates in rt2800usb that
> aren't in Linus's tree, but that doesn't help the users of other
> distributions that would benefit from them.

Well, as this moving of the USB ID to a different (now named) set of
USB IDs in the code is not going to help the users,
as rt2x00 currently does not have support for RT35xx devices yet. Some
patches have been submitted for their support,
but these haven't been accepted (and thus applied) yet.

There's a reason why the Kconfig for these devices is stating that
support for these devices is non-functional!!!

That's why it didn't make sense to send this patch upstream
immediately and sending it to stable made even less sense.

---
Gertjan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Fri, 13 May 2011 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 13:03:03 GMT) Full text and rfc822 format available.

Message #59 received at 596626@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ivo Van Doorn <ivdoorn@gmail.com>
Cc: Walter Goldens <goldenstranger@yahoo.com>, 596626@bugs.debian.org, maximilian attems <max@stro.at>, linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>
Subject: Re: Bug#596626: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Fri, 13 May 2011 14:00:53 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-05-13 at 09:17 +0200, Ivo Van Doorn wrote:
> Hi,
> 
> >> > As mentioned by Jan, the device contains a RT3572
> >> > chipset.  Its entry
> >> > could moved into the section for known RT35XX devices (i.e.
> >> > "#ifdef
> >> > CONFIG_RT2800USB_RT35XX") as an alternative.
> >> >
> >> > Geoff
> >>
> >> This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
> >
> > That's all very well, but that isn't going to get into a stable release
> > for another 3 months!  Device ID updates that don't require new
> > supporting code should be sent upstream straight away (and cc'd to
> > stable@kernel.org).
> 
> The patch has been send upstream, it has been in wireless-next-2.6.git
> since April 19...
> http://git.kernel.org/?p=linux/kernel/git/linville/wireless-next-2.6.git;a=commit;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
> The patch depends on the RT53xx support patch which was also intented
> for 2.6.40.

What is it, RT35XX or RT53XX?!

> > I've cherry-picked this and the other two updates in rt2800usb that
> > aren't in Linus's tree, but that doesn't help the users of other
> > distributions that would benefit from them.
> 
> True, but the normal flow for new features and hardware support is that they
> should be properly merged during the normal merge window. The addition
> of support of RT53xx is not something that should go to stable@kernel.org...

I understand that.

Ben.

> Patches from rt2x00.git are quite quickly send from rt2x00.git to upstream,
> and patches which are not send upstream directly have a reason for not being
> send at that time (Usually it means that it requires some extra testing).
> 
> Ivo
> 

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Fri, 13 May 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo Van Doorn <ivdoorn@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #64 received at 596626@bugs.debian.org (full text, mbox):

From: Ivo Van Doorn <ivdoorn@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Walter Goldens <goldenstranger@yahoo.com>, 596626@bugs.debian.org, maximilian attems <max@stro.at>, linux-wireless@vger.kernel.org, Geoff Simmons <gsimmons@gsimmons.org>
Subject: Re: Bug#596626: [gsimmons@gsimmons.org: Bug#596626: Please support Linksys WUSB600N v2 WiFi USB stick]
Date: Fri, 13 May 2011 15:05:45 +0200
Hi,

>> >> > As mentioned by Jan, the device contains a RT3572
>> >> > chipset.  Its entry
>> >> > could moved into the section for known RT35XX devices (i.e.
>> >> > "#ifdef
>> >> > CONFIG_RT2800USB_RT35XX") as an alternative.
>> >> >
>> >> > Geoff
>> >>
>> >> This has already been done: http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=commitdiff;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
>> >
>> > That's all very well, but that isn't going to get into a stable release
>> > for another 3 months!  Device ID updates that don't require new
>> > supporting code should be sent upstream straight away (and cc'd to
>> > stable@kernel.org).
>>
>> The patch has been send upstream, it has been in wireless-next-2.6.git
>> since April 19...
>> http://git.kernel.org/?p=linux/kernel/git/linville/wireless-next-2.6.git;a=commit;h=ce2919c9fffe2aa52f9c3e327176d03764dbf9b5
>> The patch depends on the RT53xx support patch which was also intented
>> for 2.6.40.
>
> What is it, RT35XX or RT53XX?!

Oh sorry, RT35xx in this case, but basically the rest of the reply
still applies.
Both chipsets series have the same experimental state.

Ivo




Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Fri, 20 May 2011 19:15:14 GMT) Full text and rfc822 format available.

Notification sent to Jan Schulz <jasc@gmx.net>:
Bug acknowledged by developer. (Fri, 20 May 2011 19:15:15 GMT) Full text and rfc822 format available.

Message #69 received at 596626-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 596626-close@bugs.debian.org
Subject: Bug#596626: fixed in linux-2.6 2.6.39-1
Date: Fri, 20 May 2011 19:10:47 +0000
Source: linux-2.6
Source-Version: 2.6.39-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-1.diff.gz
linux-2.6_2.6.39-1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-1.dsc
linux-2.6_2.6.39.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.39.orig.tar.gz
linux-doc-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-1_all.deb
linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
linux-libc-dev_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.39-1_amd64.deb
linux-manual-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-1_all.deb
linux-patch-debian-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-1_all.deb
linux-source-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-1_all.deb
linux-support-2.6.39-1_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-1_2.6.39-1_all.deb
linux-tools-2.6.39_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.39_2.6.39-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596626@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 May 2011 15:34:37 +0200
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-1 linux-libc-dev linux-headers-2.6.39-1-all linux-headers-2.6.39-1-all-alpha linux-headers-2.6.39-1-common linux-image-2.6.39-1-alpha-generic linux-headers-2.6.39-1-alpha-generic linux-image-2.6.39-1-alpha-smp linux-headers-2.6.39-1-alpha-smp linux-image-2.6.39-1-alpha-legacy linux-headers-2.6.39-1-alpha-legacy linux-headers-2.6.39-1-all-amd64 linux-image-2.6.39-1-amd64 linux-headers-2.6.39-1-amd64 linux-image-2.6.39-1-amd64-dbg linux-headers-2.6.39-1-all-armel linux-image-2.6.39-1-iop32x linux-headers-2.6.39-1-iop32x linux-image-2.6.39-1-ixp4xx linux-headers-2.6.39-1-ixp4xx linux-image-2.6.39-1-kirkwood linux-headers-2.6.39-1-kirkwood linux-image-2.6.39-1-orion5x linux-headers-2.6.39-1-orion5x linux-image-2.6.39-1-versatile linux-headers-2.6.39-1-versatile linux-headers-2.6.39-1-all-armhf linux-image-2.6.39-1-mx5 linux-headers-2.6.39-1-mx5
 linux-headers-2.6.39-1-all-hppa linux-image-2.6.39-1-parisc linux-headers-2.6.39-1-parisc linux-image-2.6.39-1-parisc-smp linux-headers-2.6.39-1-parisc-smp linux-image-2.6.39-1-parisc64 linux-headers-2.6.39-1-parisc64 linux-image-2.6.39-1-parisc64-smp linux-headers-2.6.39-1-parisc64-smp linux-headers-2.6.39-1-all-i386 linux-image-2.6.39-1-486 linux-headers-2.6.39-1-486 linux-image-2.6.39-1-686-pae linux-headers-2.6.39-1-686-pae linux-image-2.6.39-1-686-pae-dbg linux-headers-2.6.39-1-all-ia64 linux-image-2.6.39-1-itanium linux-headers-2.6.39-1-itanium linux-image-2.6.39-1-mckinley linux-headers-2.6.39-1-mckinley linux-headers-2.6.39-1-all-m68k linux-image-2.6.39-1-amiga linux-headers-2.6.39-1-amiga linux-image-2.6.39-1-atari linux-headers-2.6.39-1-atari linux-image-2.6.39-1-bvme6000 linux-headers-2.6.39-1-bvme6000 linux-image-2.6.39-1-mac linux-headers-2.6.39-1-mac linux-image-2.6.39-1-mvme147 linux-headers-2.6.39-1-mvme147 linux-image-2.6.39-1-mvme16x
 linux-headers-2.6.39-1-mvme16x linux-headers-2.6.39-1-all-mips linux-image-2.6.39-1-r4k-ip22 linux-headers-2.6.39-1-r4k-ip22 linux-image-2.6.39-1-r5k-ip32 linux-headers-2.6.39-1-r5k-ip32 linux-image-2.6.39-1-sb1-bcm91250a linux-headers-2.6.39-1-sb1-bcm91250a linux-image-2.6.39-1-sb1a-bcm91480b linux-headers-2.6.39-1-sb1a-bcm91480b linux-image-2.6.39-1-4kc-malta linux-headers-2.6.39-1-4kc-malta linux-image-2.6.39-1-5kc-malta linux-headers-2.6.39-1-5kc-malta linux-image-2.6.39-1-octeon linux-headers-2.6.39-1-octeon linux-headers-2.6.39-1-all-mipsel linux-image-2.6.39-1-r5k-cobalt linux-headers-2.6.39-1-r5k-cobalt linux-image-2.6.39-1-loongson-2f linux-headers-2.6.39-1-loongson-2f linux-headers-2.6.39-1-all-powerpc linux-image-2.6.39-1-powerpc linux-headers-2.6.39-1-powerpc linux-image-2.6.39-1-powerpc-smp linux-headers-2.6.39-1-powerpc-smp linux-image-2.6.39-1-powerpc64 linux-headers-2.6.39-1-powerpc64 linux-headers-2.6.39-1-all-ppc64 linux-headers-2.6.39-1-all-s390
 linux-image-2.6.39-1-s390x linux-headers-2.6.39-1-s390x linux-image-2.6.39-1-s390x-tape linux-headers-2.6.39-1-all-sh4 linux-image-2.6.39-1-sh7751r linux-headers-2.6.39-1-sh7751r linux-image-2.6.39-1-sh7785lcr linux-headers-2.6.39-1-sh7785lcr linux-headers-2.6.39-1-all-sparc linux-image-2.6.39-1-sparc64 linux-headers-2.6.39-1-sparc64 linux-image-2.6.39-1-sparc64-smp linux-headers-2.6.39-1-sparc64-smp
 linux-headers-2.6.39-1-all-sparc64
Architecture: source all amd64
Version: 2.6.39-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-1-486 - Header files for Linux 2.6.39-1-486
 linux-headers-2.6.39-1-4kc-malta - Header files for Linux 2.6.39-1-4kc-malta
 linux-headers-2.6.39-1-5kc-malta - Header files for Linux 2.6.39-1-5kc-malta
 linux-headers-2.6.39-1-686-pae - Header files for Linux 2.6.39-1-686-pae
 linux-headers-2.6.39-1-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-alpha-generic - Header files for Linux 2.6.39-1-alpha-generic
 linux-headers-2.6.39-1-alpha-legacy - Header files for Linux 2.6.39-1-alpha-legacy
 linux-headers-2.6.39-1-alpha-smp - Header files for Linux 2.6.39-1-alpha-smp
 linux-headers-2.6.39-1-amd64 - Header files for Linux 2.6.39-1-amd64
 linux-headers-2.6.39-1-amiga - Header files for Linux 2.6.39-1-amiga
 linux-headers-2.6.39-1-atari - Header files for Linux 2.6.39-1-atari
 linux-headers-2.6.39-1-bvme6000 - Header files for Linux 2.6.39-1-bvme6000
 linux-headers-2.6.39-1-common - Common header files for Linux 2.6.39-1
 linux-headers-2.6.39-1-iop32x - Header files for Linux 2.6.39-1-iop32x
 linux-headers-2.6.39-1-itanium - Header files for Linux 2.6.39-1-itanium
 linux-headers-2.6.39-1-ixp4xx - Header files for Linux 2.6.39-1-ixp4xx
 linux-headers-2.6.39-1-kirkwood - Header files for Linux 2.6.39-1-kirkwood
 linux-headers-2.6.39-1-loongson-2f - Header files for Linux 2.6.39-1-loongson-2f
 linux-headers-2.6.39-1-mac - Header files for Linux 2.6.39-1-mac
 linux-headers-2.6.39-1-mckinley - Header files for Linux 2.6.39-1-mckinley
 linux-headers-2.6.39-1-mvme147 - Header files for Linux 2.6.39-1-mvme147
 linux-headers-2.6.39-1-mvme16x - Header files for Linux 2.6.39-1-mvme16x
 linux-headers-2.6.39-1-mx5 - Header files for Linux 2.6.39-1-mx5
 linux-headers-2.6.39-1-octeon - Header files for Linux 2.6.39-1-octeon
 linux-headers-2.6.39-1-orion5x - Header files for Linux 2.6.39-1-orion5x
 linux-headers-2.6.39-1-parisc - Header files for Linux 2.6.39-1-parisc
 linux-headers-2.6.39-1-parisc-smp - Header files for Linux 2.6.39-1-parisc-smp
 linux-headers-2.6.39-1-parisc64 - Header files for Linux 2.6.39-1-parisc64
 linux-headers-2.6.39-1-parisc64-smp - Header files for Linux 2.6.39-1-parisc64-smp
 linux-headers-2.6.39-1-powerpc - Header files for Linux 2.6.39-1-powerpc
 linux-headers-2.6.39-1-powerpc-smp - Header files for Linux 2.6.39-1-powerpc-smp
 linux-headers-2.6.39-1-powerpc64 - Header files for Linux 2.6.39-1-powerpc64
 linux-headers-2.6.39-1-r4k-ip22 - Header files for Linux 2.6.39-1-r4k-ip22
 linux-headers-2.6.39-1-r5k-cobalt - Header files for Linux 2.6.39-1-r5k-cobalt
 linux-headers-2.6.39-1-r5k-ip32 - Header files for Linux 2.6.39-1-r5k-ip32
 linux-headers-2.6.39-1-s390x - Header files for Linux 2.6.39-1-s390x
 linux-headers-2.6.39-1-sb1-bcm91250a - Header files for Linux 2.6.39-1-sb1-bcm91250a
 linux-headers-2.6.39-1-sb1a-bcm91480b - Header files for Linux 2.6.39-1-sb1a-bcm91480b
 linux-headers-2.6.39-1-sh7751r - Header files for Linux 2.6.39-1-sh7751r
 linux-headers-2.6.39-1-sh7785lcr - Header files for Linux 2.6.39-1-sh7785lcr
 linux-headers-2.6.39-1-sparc64 - Header files for Linux 2.6.39-1-sparc64
 linux-headers-2.6.39-1-sparc64-smp - Header files for Linux 2.6.39-1-sparc64-smp
 linux-headers-2.6.39-1-versatile - Header files for Linux 2.6.39-1-versatile
 linux-image-2.6.39-1-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-1-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-1-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-1-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-1-686-pae-dbg - Debugging infos for Linux 2.6.39-1-686-pae
 linux-image-2.6.39-1-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-1-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-1-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-1-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-1-amd64-dbg - Debugging infos for Linux 2.6.39-1-amd64
 linux-image-2.6.39-1-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-1-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-1-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-1-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-1-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-1-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-1-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-1-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-1-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-1-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-1-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-1-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-1-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-1-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-1-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-1-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-1-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-1-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-1-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-1-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-1-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-1-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-1-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-1-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-1-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-1-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-1-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-1-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-1-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-1-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-1-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-1-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-1-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-1-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-1 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Closes: 534964 596626 623631
Changes: 
 linux-2.6 (2.6.39-1) unstable; urgency=low
 .
   [ maximilian attems ]
   * [x86] Enable CRYPTO_AES_NI_INTEL for all flavours. (closes: #623631)
   * topconfig: Enable SND_USB_6FIRE, SND_FIREWIRE_SPEAKERS,
     MEDIA_CONTROLLER, DVB_USB_TECHNISAT_USB2, USB_GSPCA_NW80X,
     USB_GSPCA_VICAM, XEN_WDT, LOOPBACK_TARGET.
   * [x86] Enable modular XEN_NETDEV_BACKEND.
   * topconfig enable mem cgroup RESOURCE_COUNTERS, CGROUP_MEM_RES_CTLR.
     (closes: #534964)
   * Cleanup configs.
 .
   [ Ben Hutchings ]
   * [!x86] Disable TPM drivers. TPMs are currently only fitted in PCs.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626)
   * mm: Select SLAB allocator again. Although SLUB is currently the
     upstream default, this was set as an experiment rather than a
     recommendation! SLUB generally has poorer performance than SLAB on
     larger systems.
   * postinst: Remove specific support for running a ramdisk creator;
     warn users that specify one in /etc/kernel-img.conf
   * Require initramfs-tools >= 0.99, which installs a postinst hook
 .
   [ Arnaud Patard ]
   * [armel] Disable eeti touchscreen driver due to missing irq_to_gpio on
     several platforms.
Checksums-Sha1: 
 7e1349c39899ff090424849b3ab20073cf332b76 5174 linux-2.6_2.6.39-1.dsc
 fd0b6b1732d8caf08ebdba2546ca92ffd2d769a7 96339193 linux-2.6_2.6.39.orig.tar.gz
 2ad969d5eb7b3d81c5863b735294eb8503dbfac0 519934 linux-2.6_2.6.39-1.diff.gz
 115b09f1c9710c3872ec3f2b69825a149f0dd6ff 6854000 linux-doc-2.6.39_2.6.39-1_all.deb
 c3d6d2dc7eb51fbaa87c19cb4fbebecb9bdb59b8 3101996 linux-manual-2.6.39_2.6.39-1_all.deb
 93476039f0e7441c6db877224d032b59f7ccbdbf 309908 linux-patch-debian-2.6.39_2.6.39-1_all.deb
 48493d617a267b2c891b22d41b3cb38ed8065075 75357236 linux-source-2.6.39_2.6.39-1_all.deb
 1aba118ead6a9f0ed580eab42614072a874e31ea 173062 linux-support-2.6.39-1_2.6.39-1_all.deb
 d409021abd1e489ab700597b05429083de007afa 30452764 linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 c4cd80b424452881b4020b239ad60c1910991247 441050064 linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 63fdc01ee4b1c6b2a26a1d286f564c97c8044ee0 599190 linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 9e6bb916ce41cd0bcc72c45fc8303448a49d9e60 4429382 linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 2cb570862df23fb3982dbc1577034592a21a5292 156424 linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 dc7cee705054db3c008117b566a1cf03b0bf2ad2 156438 linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 9c12e041ae57305e1f53e03f2e00a0c3015315ec 913240 linux-libc-dev_2.6.39-1_amd64.deb
 04ea40dd08f01c39f020bb78a0717a3aad0efb02 514590 linux-tools-2.6.39_2.6.39-1_amd64.deb
Checksums-Sha256: 
 7ee798765802352f20f69054fa92905a3f14139c2fadc02371515f391672c2ca 5174 linux-2.6_2.6.39-1.dsc
 9c777cefde3bcd26a685e79df35210e7089c107173389588ee49fe9f0ad31442 96339193 linux-2.6_2.6.39.orig.tar.gz
 739ae53ebfc764d9307feb18d64beb135c19e3443c1802b1c992610d3c5e1fe3 519934 linux-2.6_2.6.39-1.diff.gz
 0443a911d9f8b023e4dcc830aa421820c84fdb279d400226ad92018173e9f68b 6854000 linux-doc-2.6.39_2.6.39-1_all.deb
 b019d563e391a885a3670b37febb12eec57e89057892affbe683bb8d656fa6a1 3101996 linux-manual-2.6.39_2.6.39-1_all.deb
 67dfd726c9f084fd511618d6dad63bce33a07a25dce24255f97f14a35c29d7b8 309908 linux-patch-debian-2.6.39_2.6.39-1_all.deb
 489117e001c3c60da813a93848c13bb11f9d7b3cc99f347a7c705ba0619d1ffe 75357236 linux-source-2.6.39_2.6.39-1_all.deb
 becfaebeee35f1885aa77dd600bbd99f2e58f2187daca8590c0d90c000854a7d 173062 linux-support-2.6.39-1_2.6.39-1_all.deb
 f998dbe622c6ede4787946d9040a8c4a8b2938cab478fe20b4bb7ba21d22396d 30452764 linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 c21906b9d4200190fd31c85ebe00eb85162513d697956762175a904671555388 441050064 linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 75f3254aae2ede7d558015e5665e66a8d09f89ce5975c855deff0818f74ce463 599190 linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 9d6809be3af788bd764c9f0b6047c6b3f0821ea2971fcaca629443ea763cedd7 4429382 linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 866da8742b9684000dd59bdf147f3fdda3ae95666a2889871b7b158402117aa4 156424 linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 1a0883ae2a3e87517a2b734bdf8ea540c867603bcf1dc3c2998f0d3784c6bd56 156438 linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 e7573d189204dbc07fee0816d30893351e381972b17ef6d5897c637d6feaedde 913240 linux-libc-dev_2.6.39-1_amd64.deb
 098c06408cbfb4f9bc7094a6ae23bbb9c314adc9dabc13155da6bddbdb015e72 514590 linux-tools-2.6.39_2.6.39-1_amd64.deb
Files: 
 d3599e7897ac8486bd29ac13c66a3f75 5174 kernel optional linux-2.6_2.6.39-1.dsc
 1df1a8016749be313a935d157233c206 96339193 kernel optional linux-2.6_2.6.39.orig.tar.gz
 cea02c7ec3cb8fb5473b56ffe52afb16 519934 kernel optional linux-2.6_2.6.39-1.diff.gz
 3489063174015f7f4674cb5284b8e995 6854000 doc optional linux-doc-2.6.39_2.6.39-1_all.deb
 9161f0b55e72f412c47c642918f34c49 3101996 doc optional linux-manual-2.6.39_2.6.39-1_all.deb
 0c1dbf95fa12df1ee28cc9c741eae4f9 309908 kernel optional linux-patch-debian-2.6.39_2.6.39-1_all.deb
 1dfdd71bbadea53f8063d3dafacc9c7b 75357236 kernel optional linux-source-2.6.39_2.6.39-1_all.deb
 210bc4cd1fcd94e8a9fcf95056098ce7 173062 devel optional linux-support-2.6.39-1_2.6.39-1_all.deb
 198373e63f48291e692ad3f5b35afbc2 30452764 kernel optional linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 61ce1891fee2947d6a6108f6e2c0f59a 441050064 debug extra linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 1e65d6609996c4299277bd92df6e19c1 599190 kernel optional linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 ec71612d1036a4acd745d84b43f9b802 4429382 kernel optional linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 14d760dc302f1ce75122c906ed19f790 156424 kernel optional linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 709261048cf7abb9e90347218ff62b5b 156438 kernel optional linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 ad81ff4d6de23b5d24ee7b308be38a67 913240 devel optional linux-libc-dev_2.6.39-1_amd64.deb
 d52d29a5c8cb60c9c29eef810f2d89bb 514590 kernel optional linux-tools-2.6.39_2.6.39-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3VL9AACgkQeW7Lc5tEHqiGPwCdFQW516p4tt5PeIGqb7MOqDx2
Y4AAn0HE4Y+UXVk0gzxo14YMU5xOLgQw
=Yzv5
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions 2.6.38-5 and linux-2.6/2.6.39-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 01 Jun 2011 22:39:09 GMT) Full text and rfc822 format available.

Notification sent to Jan Schulz <jasc@gmx.net>:
Bug acknowledged by developer. (Wed, 01 Jun 2011 22:39:09 GMT) Full text and rfc822 format available.

Message #76 received at 596626-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596626-close@bugs.debian.org
Subject: Bug#596626: fixed in linux-2.6 3.0.0~rc1-1~experimental.1
Date: Wed, 01 Jun 2011 22:35:15 +0000
Source: linux-2.6
Source-Version: 3.0.0~rc1-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.0.0~rc1-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.0.0~rc1-1~experimental.1.diff.gz
linux-2.6_3.0.0~rc1-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_3.0.0~rc1-1~experimental.1.dsc
linux-2.6_3.0.0~rc1.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_3.0.0~rc1.orig.tar.gz
linux-doc-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
linux-manual-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
linux-patch-debian-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
linux-source-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
linux-support-3.0.0-rc1_3.0.0~rc1-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-3.0.0-rc1_3.0.0~rc1-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596626@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 01 Jun 2011 06:41:14 +0100
Source: linux-2.6
Binary: linux-tools-3.0.0 linux-source-3.0.0 linux-doc-3.0.0 linux-manual-3.0.0 linux-patch-debian-3.0.0 linux-support-3.0.0-rc1 linux-libc-dev linux-headers-3.0.0-rc1-all linux-headers-3.0.0-rc1-all-alpha linux-headers-3.0.0-rc1-common linux-image-3.0.0-rc1-alpha-generic linux-headers-3.0.0-rc1-alpha-generic linux-image-3.0.0-rc1-alpha-smp linux-headers-3.0.0-rc1-alpha-smp linux-image-3.0.0-rc1-alpha-legacy linux-headers-3.0.0-rc1-alpha-legacy linux-headers-3.0.0-rc1-all-amd64 linux-image-3.0.0-rc1-amd64 linux-headers-3.0.0-rc1-amd64 linux-image-3.0.0-rc1-amd64-dbg linux-headers-3.0.0-rc1-all-armel linux-image-3.0.0-rc1-iop32x linux-headers-3.0.0-rc1-iop32x linux-image-3.0.0-rc1-ixp4xx linux-headers-3.0.0-rc1-ixp4xx linux-image-3.0.0-rc1-kirkwood linux-headers-3.0.0-rc1-kirkwood linux-image-3.0.0-rc1-orion5x linux-headers-3.0.0-rc1-orion5x linux-image-3.0.0-rc1-versatile linux-headers-3.0.0-rc1-versatile linux-headers-3.0.0-rc1-all-armhf linux-image-3.0.0-rc1-mx5
 linux-headers-3.0.0-rc1-mx5 linux-headers-3.0.0-rc1-all-hppa linux-image-3.0.0-rc1-parisc linux-headers-3.0.0-rc1-parisc linux-image-3.0.0-rc1-parisc-smp linux-headers-3.0.0-rc1-parisc-smp linux-image-3.0.0-rc1-parisc64 linux-headers-3.0.0-rc1-parisc64 linux-image-3.0.0-rc1-parisc64-smp linux-headers-3.0.0-rc1-parisc64-smp linux-headers-3.0.0-rc1-all-i386 linux-image-3.0.0-rc1-486 linux-headers-3.0.0-rc1-486 linux-image-3.0.0-rc1-686-pae linux-headers-3.0.0-rc1-686-pae linux-image-3.0.0-rc1-686-pae-dbg linux-headers-3.0.0-rc1-all-ia64 linux-image-3.0.0-rc1-itanium linux-headers-3.0.0-rc1-itanium linux-image-3.0.0-rc1-mckinley linux-headers-3.0.0-rc1-mckinley linux-headers-3.0.0-rc1-all-m68k linux-image-3.0.0-rc1-amiga linux-headers-3.0.0-rc1-amiga linux-image-3.0.0-rc1-atari linux-headers-3.0.0-rc1-atari linux-image-3.0.0-rc1-bvme6000 linux-headers-3.0.0-rc1-bvme6000 linux-image-3.0.0-rc1-mac linux-headers-3.0.0-rc1-mac linux-image-3.0.0-rc1-mvme147
 linux-headers-3.0.0-rc1-mvme147 linux-image-3.0.0-rc1-mvme16x linux-headers-3.0.0-rc1-mvme16x linux-headers-3.0.0-rc1-all-mips linux-image-3.0.0-rc1-r4k-ip22 linux-headers-3.0.0-rc1-r4k-ip22 linux-image-3.0.0-rc1-r5k-ip32 linux-headers-3.0.0-rc1-r5k-ip32 linux-image-3.0.0-rc1-sb1-bcm91250a linux-headers-3.0.0-rc1-sb1-bcm91250a linux-image-3.0.0-rc1-sb1a-bcm91480b linux-headers-3.0.0-rc1-sb1a-bcm91480b linux-image-3.0.0-rc1-4kc-malta linux-headers-3.0.0-rc1-4kc-malta linux-image-3.0.0-rc1-5kc-malta linux-headers-3.0.0-rc1-5kc-malta linux-image-3.0.0-rc1-octeon linux-headers-3.0.0-rc1-octeon linux-headers-3.0.0-rc1-all-mipsel linux-image-3.0.0-rc1-r5k-cobalt linux-headers-3.0.0-rc1-r5k-cobalt linux-image-3.0.0-rc1-loongson-2f linux-headers-3.0.0-rc1-loongson-2f linux-headers-3.0.0-rc1-all-powerpc linux-image-3.0.0-rc1-powerpc linux-headers-3.0.0-rc1-powerpc linux-image-3.0.0-rc1-powerpc-smp linux-headers-3.0.0-rc1-powerpc-smp linux-image-3.0.0-rc1-powerpc64
 linux-headers-3.0.0-rc1-powerpc64 linux-headers-3.0.0-rc1-all-ppc64 linux-headers-3.0.0-rc1-all-s390 linux-image-3.0.0-rc1-s390x linux-headers-3.0.0-rc1-s390x linux-image-3.0.0-rc1-s390x-tape linux-headers-3.0.0-rc1-all-sh4 linux-image-3.0.0-rc1-sh7751r linux-headers-3.0.0-rc1-sh7751r linux-image-3.0.0-rc1-sh7785lcr linux-headers-3.0.0-rc1-sh7785lcr linux-headers-3.0.0-rc1-all-sparc linux-image-3.0.0-rc1-sparc64 linux-headers-3.0.0-rc1-sparc64 linux-image-3.0.0-rc1-sparc64-smp linux-headers-3.0.0-rc1-sparc64-smp
 linux-headers-3.0.0-rc1-all-sparc64
Architecture: all amd64 source
Version: 3.0.0~rc1-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 590280 596626 627492
Description: 
 linux-doc-3.0.0 - Linux kernel specific documentation for version 3.0.0
 linux-headers-3.0.0-rc1-486 - Header files for Linux 3.0.0-rc1-486
 linux-headers-3.0.0-rc1-4kc-malta - Header files for Linux 3.0.0-rc1-4kc-malta
 linux-headers-3.0.0-rc1-5kc-malta - Header files for Linux 3.0.0-rc1-5kc-malta
 linux-headers-3.0.0-rc1-686-pae - Header files for Linux 3.0.0-rc1-686-pae
 linux-headers-3.0.0-rc1-all - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-alpha - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-amd64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-armel - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-armhf - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-hppa - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-i386 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-ia64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-m68k - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-mips - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-mipsel - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-powerpc - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-ppc64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-s390 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-sh4 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-sparc64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-all-sparc - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-rc1-alpha-generic - Header files for Linux 3.0.0-rc1-alpha-generic
 linux-headers-3.0.0-rc1-alpha-legacy - Header files for Linux 3.0.0-rc1-alpha-legacy
 linux-headers-3.0.0-rc1-alpha-smp - Header files for Linux 3.0.0-rc1-alpha-smp
 linux-headers-3.0.0-rc1-amd64 - Header files for Linux 3.0.0-rc1-amd64
 linux-headers-3.0.0-rc1-amiga - Header files for Linux 3.0.0-rc1-amiga
 linux-headers-3.0.0-rc1-atari - Header files for Linux 3.0.0-rc1-atari
 linux-headers-3.0.0-rc1-bvme6000 - Header files for Linux 3.0.0-rc1-bvme6000
 linux-headers-3.0.0-rc1-common - Common header files for Linux 3.0.0-rc1
 linux-headers-3.0.0-rc1-iop32x - Header files for Linux 3.0.0-rc1-iop32x
 linux-headers-3.0.0-rc1-itanium - Header files for Linux 3.0.0-rc1-itanium
 linux-headers-3.0.0-rc1-ixp4xx - Header files for Linux 3.0.0-rc1-ixp4xx
 linux-headers-3.0.0-rc1-kirkwood - Header files for Linux 3.0.0-rc1-kirkwood
 linux-headers-3.0.0-rc1-loongson-2f - Header files for Linux 3.0.0-rc1-loongson-2f
 linux-headers-3.0.0-rc1-mac - Header files for Linux 3.0.0-rc1-mac
 linux-headers-3.0.0-rc1-mckinley - Header files for Linux 3.0.0-rc1-mckinley
 linux-headers-3.0.0-rc1-mvme147 - Header files for Linux 3.0.0-rc1-mvme147
 linux-headers-3.0.0-rc1-mvme16x - Header files for Linux 3.0.0-rc1-mvme16x
 linux-headers-3.0.0-rc1-mx5 - Header files for Linux 3.0.0-rc1-mx5
 linux-headers-3.0.0-rc1-octeon - Header files for Linux 3.0.0-rc1-octeon
 linux-headers-3.0.0-rc1-orion5x - Header files for Linux 3.0.0-rc1-orion5x
 linux-headers-3.0.0-rc1-parisc64 - Header files for Linux 3.0.0-rc1-parisc64
 linux-headers-3.0.0-rc1-parisc64-smp - Header files for Linux 3.0.0-rc1-parisc64-smp
 linux-headers-3.0.0-rc1-parisc - Header files for Linux 3.0.0-rc1-parisc
 linux-headers-3.0.0-rc1-parisc-smp - Header files for Linux 3.0.0-rc1-parisc-smp
 linux-headers-3.0.0-rc1-powerpc64 - Header files for Linux 3.0.0-rc1-powerpc64
 linux-headers-3.0.0-rc1-powerpc - Header files for Linux 3.0.0-rc1-powerpc
 linux-headers-3.0.0-rc1-powerpc-smp - Header files for Linux 3.0.0-rc1-powerpc-smp
 linux-headers-3.0.0-rc1-r4k-ip22 - Header files for Linux 3.0.0-rc1-r4k-ip22
 linux-headers-3.0.0-rc1-r5k-cobalt - Header files for Linux 3.0.0-rc1-r5k-cobalt
 linux-headers-3.0.0-rc1-r5k-ip32 - Header files for Linux 3.0.0-rc1-r5k-ip32
 linux-headers-3.0.0-rc1-s390x - Header files for Linux 3.0.0-rc1-s390x
 linux-headers-3.0.0-rc1-sb1a-bcm91480b - Header files for Linux 3.0.0-rc1-sb1a-bcm91480b
 linux-headers-3.0.0-rc1-sb1-bcm91250a - Header files for Linux 3.0.0-rc1-sb1-bcm91250a
 linux-headers-3.0.0-rc1-sh7751r - Header files for Linux 3.0.0-rc1-sh7751r
 linux-headers-3.0.0-rc1-sh7785lcr - Header files for Linux 3.0.0-rc1-sh7785lcr
 linux-headers-3.0.0-rc1-sparc64 - Header files for Linux 3.0.0-rc1-sparc64
 linux-headers-3.0.0-rc1-sparc64-smp - Header files for Linux 3.0.0-rc1-sparc64-smp
 linux-headers-3.0.0-rc1-versatile - Header files for Linux 3.0.0-rc1-versatile
 linux-image-3.0.0-rc1-486 - Linux 3.0.0-rc1 for older PCs
 linux-image-3.0.0-rc1-4kc-malta - Linux 3.0.0-rc1 for MIPS Malta
 linux-image-3.0.0-rc1-5kc-malta - Linux 3.0.0-rc1 for MIPS Malta (64-bit)
 linux-image-3.0.0-rc1-686-pae-dbg - Debugging infos for Linux 3.0.0-rc1-686-pae
 linux-image-3.0.0-rc1-686-pae - Linux 3.0.0-rc1 for modern PCs
 linux-image-3.0.0-rc1-alpha-generic - Linux 3.0.0-rc1 for Alpha
 linux-image-3.0.0-rc1-alpha-legacy - Linux 3.0.0-rc1 for Alpha Legacy
 linux-image-3.0.0-rc1-alpha-smp - Linux 3.0.0-rc1 for Alpha SMP
 linux-image-3.0.0-rc1-amd64-dbg - Debugging infos for Linux 3.0.0-rc1-amd64
 linux-image-3.0.0-rc1-amd64 - Linux 3.0.0-rc1 for 64-bit PCs
 linux-image-3.0.0-rc1-amiga - Linux 3.0.0-rc1 for Amiga
 linux-image-3.0.0-rc1-atari - Linux 3.0.0-rc1 for Atari
 linux-image-3.0.0-rc1-bvme6000 - Linux 3.0.0-rc1 for BVM BVME4000 and BVME6000
 linux-image-3.0.0-rc1-iop32x - Linux 3.0.0-rc1 for IOP32x
 linux-image-3.0.0-rc1-itanium - Linux 3.0.0-rc1 for Itanium
 linux-image-3.0.0-rc1-ixp4xx - Linux 3.0.0-rc1 for IXP4xx
 linux-image-3.0.0-rc1-kirkwood - Linux 3.0.0-rc1 for Marvell Kirkwood
 linux-image-3.0.0-rc1-loongson-2f - Linux 3.0.0-rc1 for Loongson 2F
 linux-image-3.0.0-rc1-mac - Linux 3.0.0-rc1 for Macintosh
 linux-image-3.0.0-rc1-mckinley - Linux 3.0.0-rc1 for Itanium II
 linux-image-3.0.0-rc1-mvme147 - Linux 3.0.0-rc1 for Motorola MVME147
 linux-image-3.0.0-rc1-mvme16x - Linux 3.0.0-rc1 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.0.0-rc1-mx5 - Linux 3.0.0-rc1 for Freescale MXC/iMX-based
 linux-image-3.0.0-rc1-octeon - Linux 3.0.0-rc1 for Octeon
 linux-image-3.0.0-rc1-orion5x - Linux 3.0.0-rc1 for Marvell Orion
 linux-image-3.0.0-rc1-parisc64 - Linux 3.0.0-rc1 for 64-bit PA-RISC
 linux-image-3.0.0-rc1-parisc64-smp - Linux 3.0.0-rc1 for multiprocessor 64-bit PA-RISC
 linux-image-3.0.0-rc1-parisc - Linux 3.0.0-rc1 for 32-bit PA-RISC
 linux-image-3.0.0-rc1-parisc-smp - Linux 3.0.0-rc1 for multiprocessor 32-bit PA-RISC
 linux-image-3.0.0-rc1-powerpc64 - Linux 3.0.0-rc1 for 64-bit PowerPC
 linux-image-3.0.0-rc1-powerpc - Linux 3.0.0-rc1 for uniprocessor 32-bit PowerPC
 linux-image-3.0.0-rc1-powerpc-smp - Linux 3.0.0-rc1 for multiprocessor 32-bit PowerPC
 linux-image-3.0.0-rc1-r4k-ip22 - Linux 3.0.0-rc1 for SGI IP22
 linux-image-3.0.0-rc1-r5k-cobalt - Linux 3.0.0-rc1 for Cobalt
 linux-image-3.0.0-rc1-r5k-ip32 - Linux 3.0.0-rc1 for SGI IP32
 linux-image-3.0.0-rc1-s390x - Linux 3.0.0-rc1 for IBM zSeries
 linux-image-3.0.0-rc1-s390x-tape - Linux 3.0.0-rc1 for IBM zSeries, IPL from tape
 linux-image-3.0.0-rc1-sb1a-bcm91480b - Linux 3.0.0-rc1 for BCM91480B
 linux-image-3.0.0-rc1-sb1-bcm91250a - Linux 3.0.0-rc1 for BCM91250A
 linux-image-3.0.0-rc1-sh7751r - Linux 3.0.0-rc1 for sh7751r
 linux-image-3.0.0-rc1-sh7785lcr - Linux 3.0.0-rc1 for sh7785lcr
 linux-image-3.0.0-rc1-sparc64 - Linux 3.0.0-rc1 for uniprocessor 64-bit UltraSPARC
 linux-image-3.0.0-rc1-sparc64-smp - Linux 3.0.0-rc1 for multiprocessor 64-bit UltraSPARC
 linux-image-3.0.0-rc1-versatile - Linux 3.0.0-rc1 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.0.0 - Linux kernel API manual pages for version 3.0.0
 linux-patch-debian-3.0.0 - Debian patches to version 3.0.0 of the Linux kernel
 linux-source-3.0.0 - Linux kernel source for version 3.0.0 with Debian patches
 linux-support-3.0.0-rc1 - Support files for Linux 3.0.0-rc1
 linux-tools-3.0.0 - Performance analysis tools for Linux 3.0.0-rc1
Changes: 
 linux-2.6 (3.0.0~rc1-1~experimental.1) experimental; urgency=low
 .
   * New upstream release candidate
 .
   [ Ben Hutchings ]
   * [x86] Enable BACKLIGHT_APPLE, replacing BACKLIGHT_MBP_NVIDIA
     (Closes: #627492)
   * cgroups: Disable memory resource controller by default. Allow it
     to be enabled using kernel parameter 'cgroup_enable=memory'.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626) (this change was accidentally
     omitted from 2.6.39-1)
   * fs: Enable FHANDLE
   * cgroups: Enable CGROUP_MEM_RES_CTLR_SWAP but not
     CGROUP_MEM_RES_CTLR_SWAP_ENABLED. Swap accounting can be enabled
     using kernel parameter 'swapaccount'.
   * ipv4: Enable IP_FIB_TRIE_STATS
   * netfilter: Enable IP_SET, IP_SET_BITMAP_IP, IP_SET_BITMAP_IPMAC,
     IP_SET_BITMAP_PORT, IP_SET_HASH_IP, IP_SET_HASH_IPPORT,
     IP_SET_HASH_IPPORTIP, IP_SET_HASH_IPPORTNET, IP_SET_HASH_NET,
     IP_SET_HASH_NETPORT, IP_SET_LIST_SET, NETFILTER_XT_SET as modules
   * net/sched: Enable NET_SCH_QFQ as module
   * can: Enable CAN_SOFTING, CAN_SOFTING_CS as modules
   * mtd: Enable MTD_SWAP as module
   * of, proc: Enable PROC_DEVICETREE
   * dm: Enable DM_RAID, DM_FLAKEY as modules. Note these are currently
     experimental.
   * target: Enable TCM_FC as module
   * net/wireless/ath: Enable CARL9170 as module (carl9170, replacing
     ar9170usb)
   * rtlwifi: Enable RTL8192SE as module (Closes: #590280)
   * net/wireless: Enable MWIFIEX, MWIFIEX_SDIO as modules
   * net/usb: Enable USB_VL600 as module
   * tablet: Enable drivers for all possible architectures and flavours
   * tablet: Enable TABLET_USB_HANWANG as module
   * pps: Enable PPS_CLIENT_PARPORT as module
   * ptp: Enable PTP_1588_CLOCK, PTP_1588_CLOCK_GIANFAR,
     PTP_1588_CLOCK_IXP46X as modules
   * [x86] watchdog: Enable SP5100_TCO, NV_TCO as modules
   * media/rc: Enable IR_REDRAT3, RC_LOOPBACK as module
   * [x86] media/rc: Enable IR_ITE_CIR, IR_FINTEK as modules
   * gspca: Enable USB_GSPCA_KINECT as module
   * [i386] radio: Enable RADIO_MIROPCM20 as module
   * s3fb: Enable FB_S3_DDC
   * viafb: Enable FB_VIA_X_COMPATIBILITY
   * es1968: Enable SND_ES1968_RADIO
   * sound: Enable SND_ISIGHT, SND_LOLA as modules
   * hid: Enable HID_ACRUX, HID_EMS_FF, HID_KEYTOUCH, HID_LCPOWER,
     HID_MULTITOUCH, HID_ROCCAT_ARVO, HID_ROCCAT_KONEPLUS,
     HID_ROCCAT_KOVAPLUS as modules
   * usb-storage: Enable USB_STORAGE_REALTEK, USB_STORAGE_ENE_UB6250 as
     modules
   * mmc: Enable MMC_VUB300, MMC_USHC as modules
   * memstick: Enable MEMSTICK_R592 as module
   * [x86] edac: Enable EDAC_I7300 as module
   * [i386] staging, video: Enable FB_OLPC_DCON as module
   * [x86] staging, drm: Enable DRM_PSB as module
   * crypto, net: Enable CRYPTO_USER_API_HASH, CRYPTO_USER_API_SKCIPHER as
     modules
   * [x86] block, xen: Enable XEN_BLKDEV_BACKEND as module
Checksums-Sha1: 
 161cf39e9a5894871514a64c5954b9e9c716bab9 5986 linux-2.6_3.0.0~rc1-1~experimental.1.dsc
 886c8ce612647d1499fd6c324d093c1c22c57199 96857786 linux-2.6_3.0.0~rc1.orig.tar.gz
 88b9dbb3804814fd54c8dc2de8c4b0999a85dd86 513995 linux-2.6_3.0.0~rc1-1~experimental.1.diff.gz
 72d3907e9aedfba34b18b039e171c8c9e00f6f6c 305370 linux-patch-debian-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 ca5c5f75b27513d4bbc06c94af724d016fef8506 174088 linux-support-3.0.0-rc1_3.0.0~rc1-1~experimental.1_all.deb
 5cbef974158efff7735779415c156c3d7b479ab6 75905738 linux-source-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 c2e1a41f5e1398aea74639788fa27af3efe93585 6943958 linux-doc-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 a4d555adc8e1faee0eb0fcbf402f5cfca883052d 3141466 linux-manual-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
Checksums-Sha256: 
 9a1c12a4b56c8453fe98b6442f27e7e304ba017e8df3597c2fe3f259672ca261 5986 linux-2.6_3.0.0~rc1-1~experimental.1.dsc
 d19f9d28539517bc540c4b592889249d9e6b23b139d7ea55d7c3590f7e4e8a84 96857786 linux-2.6_3.0.0~rc1.orig.tar.gz
 e02053737e4869676f64f9cba7246a3931fcdd0858d21cbfedff7517d9680405 513995 linux-2.6_3.0.0~rc1-1~experimental.1.diff.gz
 388c2a1c58e84251f1d7d7d84e1a5b6f4ca30280f58f50fd7c6566210c5aa16b 305370 linux-patch-debian-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 979d433a8c8209548b3b77db86603745229fff1c6527a2856b82914c7f3d0311 174088 linux-support-3.0.0-rc1_3.0.0~rc1-1~experimental.1_all.deb
 e013dbee3afb41af9b2e22c79cabf7805e8c00da41320c633018702d63ae5b39 75905738 linux-source-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 1fe890331ef643b57ce04a5ae0da51780babda092530b4d8ef11d6bed44a2f91 6943958 linux-doc-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 f9c7d3745b496f61d2b557f222e104982a103d644f153444eb51389cbd4eec1c 3141466 linux-manual-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
Files: 
 4975bdb903d2398a3ac083e5a240f5c3 5986 kernel optional linux-2.6_3.0.0~rc1-1~experimental.1.dsc
 bccedbb5a44e8690421040c2c8414a8a 96857786 kernel optional linux-2.6_3.0.0~rc1.orig.tar.gz
 00acf12fec1b287a512356427b36894b 513995 kernel optional linux-2.6_3.0.0~rc1-1~experimental.1.diff.gz
 f7d2a3c40b9e7ab36252c275cc787ccf 305370 kernel optional linux-patch-debian-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 6228b3d886f6e8a974d17d15149ee386 174088 devel optional linux-support-3.0.0-rc1_3.0.0~rc1-1~experimental.1_all.deb
 8445474aa097af6b0157a37d1f03e708 75905738 kernel optional linux-source-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 d77689b2009a271fe71be1886bc217e5 6943958 doc optional linux-doc-3.0.0_3.0.0~rc1-1~experimental.1_all.deb
 eb6b16904403153a441c1ed0eb777420 3141466 doc optional linux-manual-3.0.0_3.0.0~rc1-1~experimental.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTeYHfOe/yOyVhhEJAQpWARAAphVKjGcjHvmuPa9FCF/+jbN+/vtJGfOG
dsxaKIWNlS/ALJsmpFMElqia69UeMhnQfpnEfXiovWDH55wIJ/JWeXDikGtlLX9u
ZO65+1aJ9VcWOp+U6fs8W1Z9VSwgqBD7k7wxdRF0YxSUIiHpe0ZMrPRZyvjFfxmz
ky5g76VwHWGJ670vdAEVV7/wv6gyGrgYSjzUmf22CoJbPebeo+SfRf2vDUFYEpxE
D/C59WNnyK4pSat8mNKUuQC9k6UuVcZE3MyFsSixR1MSj31skXz79pa+AYFGsrZF
InJFr4Xzvghoto2gx6i1eW5jVlUGOIiBF9HQA0/RIsWJhBGaTzBo9dw7VeSd4Ryx
WAnnS+wtrh/nZRCWg1ZiObRiZAS5u+6cr1pgLU5K/65F5ZhcRq02WL4lg/V6vYsG
l9YicUjKeua1PcI4hyvbVNUa5uzdzsYLdTC5OuurU6RuC24+mPa13w8LeYP/Iw4a
ujiJPNU4OCizHR3QuhcIZV0lxwqg9Vtf5AKG4tCOqqV/u22DQKzBaBoKxksuQY+y
ye/f54ivUGmxbTULWkyZyRyVU8QZlpliKSqq4WiB99P6YpZOjdb0I9CNF03a8Wl/
hcXR7P0U+MnPUz3EOtU8rFvmZg5N61QWIxmFvzfcUOyBpJzUboCDemdcY8FPRemq
xP/ZpNtRqB4=
=yvxr
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596626; Package linux-2.6. (Thu, 02 Jun 2011 00:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 02 Jun 2011 00:27:07 GMT) Full text and rfc822 format available.

Message #81 received at 596626@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 596626@bugs.debian.org
Subject: Re: Bug#596626: marked as done (linux-image-2.6: Please support Linksys WUSB600N v2 WiFi USB stick)
Date: Thu, 2 Jun 2011 02:24:03 +0200
Hi

On Thursday 02 June 2011, Debian Bug Tracking System wrote:
> Your message dated Wed, 01 Jun 2011 22:35:15 +0000
> with message-id <E1QRu0R-0005nz-C3@franck.debian.org>
> and subject line Bug#596626: fixed in linux-2.6 3.0.0~rc1-1~experimental.1
> has caused the Debian Bug report #596626,
> regarding linux-image-2.6: Please support Linksys WUSB600N v2 WiFi USB stick
> to be marked as done.
> 
> This means that you claim that the problem has been dealt with.
> If this is not the case it is now your responsibility to reopen the
> Bug report if necessary, and/or fix the problem forthwith.

This is not actually true for 3.0(-rc1), as some of the required 
patches missed the merge window and have only been merged into 
wireless-next today:

From 65f31b5e7029e55d4f7020a1d0b0658a50ea73cb Mon Sep 17 00:00:00 2001
From: Gertjan van Wingerde <gwingerde@gmail.com>
Date: Wed, 18 May 2011 20:25:05 +0200
Subject: [PATCH 1/7] rt2x00: Enable PA_PE bits in TX_PIN_CFG according to active band.


From 8f96e91fa53761fd63dceedac6bbe4b39e5c5072 Mon Sep 17 00:00:00 2001
From: Gertjan van Wingerde <gwingerde@gmail.com>
Date: Wed, 18 May 2011 20:25:18 +0200
Subject: [PATCH 2/7] rt2x00: Don't disable G0 PA_PE bit in case of BT coexistence.


From 872834dfb38edc6f72cfc783a5ce78f2a9f36ec5 Mon Sep 17 00:00:00 2001
From: Gertjan van Wingerde <gwingerde@gmail.com>
Date: Wed, 18 May 2011 20:25:31 +0200
Subject: [PATCH 3/7] rt2x00: Add support for RT3572/RT3592/RT3592+Bluetooth combo card

                     ^--- this is the essential change (which however 
                          depends on the previous patches), because the
                          Linksys WUSB600N v2 uses the RaLink RT3572 
                          chipset

Regards
	Stefan Lippers-Hollmann




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 08 Jun 2011 10:09:18 GMT) Full text and rfc822 format available.

Notification sent to Jan Schulz <jasc@gmx.net>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 10:09:29 GMT) Full text and rfc822 format available.

Message #86 received at 596626-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596626-close@bugs.debian.org
Subject: Bug#596626: fixed in linux-2.6 2.6.39-2
Date: Wed, 08 Jun 2011 10:05:58 +0000
Source: linux-2.6
Source-Version: 2.6.39-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-2.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-2.diff.gz
linux-2.6_2.6.39-2.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-2.dsc
linux-doc-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-2_all.deb
linux-manual-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-2_all.deb
linux-patch-debian-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-2_all.deb
linux-source-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-2_all.deb
linux-support-2.6.39-2_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-2_2.6.39-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596626@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Jun 2011 12:14:05 +0100
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-2 linux-libc-dev linux-headers-2.6.39-2-all linux-headers-2.6.39-2-all-alpha linux-headers-2.6.39-2-common linux-image-2.6.39-2-alpha-generic linux-headers-2.6.39-2-alpha-generic linux-image-2.6.39-2-alpha-smp linux-headers-2.6.39-2-alpha-smp linux-image-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-all-amd64 linux-image-2.6.39-2-amd64 linux-headers-2.6.39-2-amd64 linux-image-2.6.39-2-amd64-dbg linux-headers-2.6.39-2-all-armel linux-image-2.6.39-2-iop32x linux-headers-2.6.39-2-iop32x linux-image-2.6.39-2-ixp4xx linux-headers-2.6.39-2-ixp4xx linux-image-2.6.39-2-kirkwood linux-headers-2.6.39-2-kirkwood linux-image-2.6.39-2-orion5x linux-headers-2.6.39-2-orion5x linux-image-2.6.39-2-versatile linux-headers-2.6.39-2-versatile linux-headers-2.6.39-2-all-armhf linux-image-2.6.39-2-mx5 linux-headers-2.6.39-2-mx5
 linux-headers-2.6.39-2-all-hppa linux-image-2.6.39-2-parisc linux-headers-2.6.39-2-parisc linux-image-2.6.39-2-parisc-smp linux-headers-2.6.39-2-parisc-smp linux-image-2.6.39-2-parisc64 linux-headers-2.6.39-2-parisc64 linux-image-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-all-i386 linux-image-2.6.39-2-486 linux-headers-2.6.39-2-486 linux-image-2.6.39-2-686-pae linux-headers-2.6.39-2-686-pae linux-image-2.6.39-2-686-pae-dbg linux-headers-2.6.39-2-all-ia64 linux-image-2.6.39-2-itanium linux-headers-2.6.39-2-itanium linux-image-2.6.39-2-mckinley linux-headers-2.6.39-2-mckinley linux-headers-2.6.39-2-all-m68k linux-image-2.6.39-2-amiga linux-headers-2.6.39-2-amiga linux-image-2.6.39-2-atari linux-headers-2.6.39-2-atari linux-image-2.6.39-2-bvme6000 linux-headers-2.6.39-2-bvme6000 linux-image-2.6.39-2-mac linux-headers-2.6.39-2-mac linux-image-2.6.39-2-mvme147 linux-headers-2.6.39-2-mvme147 linux-image-2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mvme16x linux-headers-2.6.39-2-all-mips linux-image-2.6.39-2-r4k-ip22 linux-headers-2.6.39-2-r4k-ip22 linux-image-2.6.39-2-r5k-ip32 linux-headers-2.6.39-2-r5k-ip32 linux-image-2.6.39-2-sb1-bcm91250a linux-headers-2.6.39-2-sb1-bcm91250a linux-image-2.6.39-2-sb1a-bcm91480b linux-headers-2.6.39-2-sb1a-bcm91480b linux-image-2.6.39-2-4kc-malta linux-headers-2.6.39-2-4kc-malta linux-image-2.6.39-2-5kc-malta linux-headers-2.6.39-2-5kc-malta linux-image-2.6.39-2-octeon linux-headers-2.6.39-2-octeon linux-headers-2.6.39-2-all-mipsel linux-image-2.6.39-2-r5k-cobalt linux-headers-2.6.39-2-r5k-cobalt linux-image-2.6.39-2-loongson-2f linux-headers-2.6.39-2-loongson-2f linux-headers-2.6.39-2-all-powerpc linux-image-2.6.39-2-powerpc linux-headers-2.6.39-2-powerpc linux-image-2.6.39-2-powerpc-smp linux-headers-2.6.39-2-powerpc-smp linux-image-2.6.39-2-powerpc64 linux-headers-2.6.39-2-powerpc64 linux-headers-2.6.39-2-all-ppc64 linux-headers-2.6.39-2-all-s390
 linux-image-2.6.39-2-s390x linux-headers-2.6.39-2-s390x linux-image-2.6.39-2-s390x-tape linux-headers-2.6.39-2-all-sh4 linux-image-2.6.39-2-sh7751r linux-headers-2.6.39-2-sh7751r linux-image-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-all-sparc linux-image-2.6.39-2-sparc64 linux-headers-2.6.39-2-sparc64 linux-image-2.6.39-2-sparc64-smp linux-headers-2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-all-sparc64
Architecture: all source
Version: 2.6.39-2
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 596626 619827 622745 622997 627492 627837 628191 628932 629401
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-2-486 - Header files for Linux 2.6.39-2-486
 linux-headers-2.6.39-2-4kc-malta - Header files for Linux 2.6.39-2-4kc-malta
 linux-headers-2.6.39-2-5kc-malta - Header files for Linux 2.6.39-2-5kc-malta
 linux-headers-2.6.39-2-686-pae - Header files for Linux 2.6.39-2-686-pae
 linux-headers-2.6.39-2-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-alpha-generic - Header files for Linux 2.6.39-2-alpha-generic
 linux-headers-2.6.39-2-alpha-legacy - Header files for Linux 2.6.39-2-alpha-legacy
 linux-headers-2.6.39-2-alpha-smp - Header files for Linux 2.6.39-2-alpha-smp
 linux-headers-2.6.39-2-amd64 - Header files for Linux 2.6.39-2-amd64
 linux-headers-2.6.39-2-amiga - Header files for Linux 2.6.39-2-amiga
 linux-headers-2.6.39-2-atari - Header files for Linux 2.6.39-2-atari
 linux-headers-2.6.39-2-bvme6000 - Header files for Linux 2.6.39-2-bvme6000
 linux-headers-2.6.39-2-common - Common header files for Linux 2.6.39-2
 linux-headers-2.6.39-2-iop32x - Header files for Linux 2.6.39-2-iop32x
 linux-headers-2.6.39-2-itanium - Header files for Linux 2.6.39-2-itanium
 linux-headers-2.6.39-2-ixp4xx - Header files for Linux 2.6.39-2-ixp4xx
 linux-headers-2.6.39-2-kirkwood - Header files for Linux 2.6.39-2-kirkwood
 linux-headers-2.6.39-2-loongson-2f - Header files for Linux 2.6.39-2-loongson-2f
 linux-headers-2.6.39-2-mac - Header files for Linux 2.6.39-2-mac
 linux-headers-2.6.39-2-mckinley - Header files for Linux 2.6.39-2-mckinley
 linux-headers-2.6.39-2-mvme147 - Header files for Linux 2.6.39-2-mvme147
 linux-headers-2.6.39-2-mvme16x - Header files for Linux 2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mx5 - Header files for Linux 2.6.39-2-mx5
 linux-headers-2.6.39-2-octeon - Header files for Linux 2.6.39-2-octeon
 linux-headers-2.6.39-2-orion5x - Header files for Linux 2.6.39-2-orion5x
 linux-headers-2.6.39-2-parisc64 - Header files for Linux 2.6.39-2-parisc64
 linux-headers-2.6.39-2-parisc64-smp - Header files for Linux 2.6.39-2-parisc64-smp
 linux-headers-2.6.39-2-parisc - Header files for Linux 2.6.39-2-parisc
 linux-headers-2.6.39-2-parisc-smp - Header files for Linux 2.6.39-2-parisc-smp
 linux-headers-2.6.39-2-powerpc64 - Header files for Linux 2.6.39-2-powerpc64
 linux-headers-2.6.39-2-powerpc - Header files for Linux 2.6.39-2-powerpc
 linux-headers-2.6.39-2-powerpc-smp - Header files for Linux 2.6.39-2-powerpc-smp
 linux-headers-2.6.39-2-r4k-ip22 - Header files for Linux 2.6.39-2-r4k-ip22
 linux-headers-2.6.39-2-r5k-cobalt - Header files for Linux 2.6.39-2-r5k-cobalt
 linux-headers-2.6.39-2-r5k-ip32 - Header files for Linux 2.6.39-2-r5k-ip32
 linux-headers-2.6.39-2-s390x - Header files for Linux 2.6.39-2-s390x
 linux-headers-2.6.39-2-sb1a-bcm91480b - Header files for Linux 2.6.39-2-sb1a-bcm91480b
 linux-headers-2.6.39-2-sb1-bcm91250a - Header files for Linux 2.6.39-2-sb1-bcm91250a
 linux-headers-2.6.39-2-sh7751r - Header files for Linux 2.6.39-2-sh7751r
 linux-headers-2.6.39-2-sh7785lcr - Header files for Linux 2.6.39-2-sh7785lcr
 linux-headers-2.6.39-2-sparc64 - Header files for Linux 2.6.39-2-sparc64
 linux-headers-2.6.39-2-sparc64-smp - Header files for Linux 2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-versatile - Header files for Linux 2.6.39-2-versatile
 linux-image-2.6.39-2-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-2-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-2-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-2-686-pae-dbg - Debugging infos for Linux 2.6.39-2-686-pae
 linux-image-2.6.39-2-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-2-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-2-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-2-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-2-amd64-dbg - Debugging infos for Linux 2.6.39-2-amd64
 linux-image-2.6.39-2-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-2-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-2-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-2-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-2-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-2-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-2-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-2-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-2-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-2-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-2-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-2-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-2-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-2-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-2-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-2-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-2-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-2-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-2-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-2-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-2-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-2-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-2-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-2-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-2-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-2-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-2-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-2-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-2-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-2-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-2-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-2-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-2-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-2 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Changes: 
 linux-2.6 (2.6.39-2) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] Enable BACKLIGHT_APPLE, replacing BACKLIGHT_MBP_NVIDIA
     (Closes: #627492)
   * cgroups: Disable memory resource controller by default. Allow it
     to be enabled using kernel parameter 'cgroup_enable=memory'.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626) (this change was accidentally
     omitted from 2.6.39-1)
   * [x86] Remove Celeron from list of processors supporting PAE. Most
     'Celeron M' models do not.
   * Update debconf template translations:
     - Swedish (Martin Bagge) (Closes: #628932)
     - French (David Prévot) (Closes: #628191)
   * aufs: Update for 2.6.39 (Closes: #627837)
   * Add stable 2.6.39.1, including:
     - ext4: dont set PageUptodate in ext4_end_bio()
     - pata_cmd64x: fix boot crash on parisc (Closes: #622997, #622745)
     - ext3: Fix fs corruption when make_indexed_dir() fails
     - netfilter: nf_ct_sip: validate Content-Length in TCP SIP messages
     - sctp: fix race between sctp_bind_addr_free() and
       sctp_bind_addr_conflict()
     - sctp: fix memory leak of the ASCONF queue when free asoc
     - md/bitmap: fix saving of events_cleared and other state
     - cdc_acm: Fix oops when Droids MuIn LCD is connected
     - cx88: Fix conversion from BKL to fine-grained locks (Closes: #619827)
     - keys: Set cred->user_ns in key_replace_session_keyring (CVE-2011-2184)
     - tmpfs: fix race between truncate and writepage
     - nfs41: Correct offset for LAYOUTCOMMIT
     - xen/mmu: fix a race window causing leave_mm BUG()
     - ext4: fix possible use-after-free in ext4_remove_li_request()
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.39.1
   * Bump ABI to 2
   * netfilter: Enable IP_SET, IP_SET_BITMAP_IP, IP_SET_BITMAP_IPMAC,
     IP_SET_BITMAP_PORT, IP_SET_HASH_IP, IP_SET_HASH_IPPORT,
     IP_SET_HASH_IPPORTIP, IP_SET_HASH_IPPORTNET, IP_SET_HASH_NET,
     IP_SET_HASH_NETPORT, IP_SET_LIST_SET, NETFILTER_XT_SET as modules
     (Closes: #629401)
 .
   [ Aurelien Jarno ]
   * [mipsel/loongson-2f] Disable_SCSI_LPFC to workaround GCC ICE.
Checksums-Sha1: 
 a5c6bba08e4c44f785fbe61b5e8ee9e0b0ef39cb 5806 linux-2.6_2.6.39-2.dsc
 4769243f02f11e7bd02d290d4009f83747e4d7d6 578659 linux-2.6_2.6.39-2.diff.gz
 8631b1c19660fa882a90f5d006cb832762eb681f 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 4cb02f008f3a2297858be8692cb74068956cae1d 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 fb03333766d0e0dff8de418db3d3dfb998b2d096 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 19f140b72935da562cd4444fa2610da024f64d9a 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 ce7a73b0b31c3b07c57abd75305ca05edf75dbe3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Checksums-Sha256: 
 667038dcba51ce595a6ec69af992062ed895661616090f13e82b6cdbb65f3169 5806 linux-2.6_2.6.39-2.dsc
 ca01b79327c3a8030e64ad3639f9e417201252e9ed1d8cb181c4794d59056a1f 578659 linux-2.6_2.6.39-2.diff.gz
 47df0218811bdbc61a334c01ea41e73ca4b3828c95cdd6dbb023acb50d8dcec7 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 527bf66a1c84f712fb3ff7fe5aad2af4eadf17e65d3db8970b4db2d961933fd6 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 b933eca679cd705f2d5066853fca59c4d891f1ae00b3e4163928950291d58528 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 fe41a2298009ecdd59cf8f43a2210a36e2b1d9edd960f0d50be8a6f7b8846c5b 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 a213675720022125eeac7a1e32b70e25c8a6becd05e33f4e410803319b9516d3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Files: 
 0962e7a374c1c6f7f6bc5b7f901540da 5806 kernel optional linux-2.6_2.6.39-2.dsc
 dc26f6efd2390aa7b94a5c4fde3f247e 578659 kernel optional linux-2.6_2.6.39-2.diff.gz
 33d1e6e069da648eadd3a23ca06f2006 366420 kernel optional linux-patch-debian-2.6.39_2.6.39-2_all.deb
 27cf13a746b2eed0cf916379a94c0569 174028 devel optional linux-support-2.6.39-2_2.6.39-2_all.deb
 54efbc4c7d3f7d30b10617c0342bcdc1 75577082 kernel optional linux-source-2.6.39_2.6.39-2_all.deb
 0d1e8c078518b5b87abfd4ef00f7a4af 6869108 doc optional linux-doc-2.6.39_2.6.39-2_all.deb
 4d3128e3aeeeed8296f296ee4b911268 3108970 doc optional linux-manual-2.6.39_2.6.39-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTe7nmOe/yOyVhhEJAQoimRAAg84Ec0xZGM8IerCtojIQb2WKyF7KpxrW
BEomHXU+vfQALjA6nvp8C861bVA2PnAiMwAroq2QRw38VyOAthCTDayliFcWm3cf
iU2qgGAWTyicrB668JHwHQLuO5H6Bph/ysOSfqekfMM+hBOtpTQu+ir0gRCZAXmr
RSY2Uc3Z0S9e9IUUqdRsyWL6EGEkx29rCXITxT+N4lGngETahrGd2qY76ZENVDOk
eYNJ6gkSWSdtleK/4I1Dd7KEaTBo4jgG+CddbBWcDwpnyUuTHH/PThGN2Eu77z/3
2LTcN7teWcoFnIjZFAOu0d/l3Gqbyf9LZsYIBkVmVJ1DJ8Ds7LnTfJItVR2Y2mA+
C29qQ4NBEKIB9zCUPTiaQffcG9yY7k86Xv/ys1AJCeGT1VCM/vj5OH8DKEOujxaN
ydBZfA9jj2nEIjve6XLaTaASCDAGEBUhJJbVWNdu3bgtdoKNA9RW6nxCnuWtqeUg
dsWe9EBQu0pUfeRMlSc7J9XSGXtosx/ZrfhCkLaXj11bMCinH+150yIXCoopHSTT
++acccxjK4aiMajHpryQMMPnnSAIsGDbD3HNvPiAVYT/uaEHDpM9lVrqCjQVYM+M
OilhVCewbu4ecmhSo09twlem1+JsM2jBXbWn7Wo3k/bnc56PTS1BnPoeCzkZ15gG
fU4ValF4G2Y=
=VnB7
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 12 Jul 2011 05:27:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:32:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:04:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.